#
# spec file for package virt-manager (Version 0.4.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl atk atk-devel attr audiofile audit-libs autoconf automake avahi avahi-glib bash binutils blocxx boost bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs curl-ca-bundle cvs cyrus-sasl dbus-1 dbus-1-glib desktop-translations diffutils dirmngr esound file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gconf2 gconf2-lang gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-vfs2 gnome-vfs2-lang gpg2 grep groff gtk2 gtk2-devel gzip hal hicolor-icon-theme hwinfo info insserv intltool keyutils-libs krb5 less libacl libasound2 libattr libbonobo libbonobo-lang libbz2-1 libbz2-devel libcom_err2 libcurl4 libdaemon libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgcrypt libglade2 libgnome libgnome-lang libgomp42 libgpg-error libicu libidn libjpeg libksba libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff3 libtool libusb libuuid1 libvolume_id libxcrypt libxml2 libxslt liby2util libzio libzypp linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openssl openssl-certs orbit2 pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-XML-Parser perl-base perl-gettext permissions pinentry pkg-config pmtools popt pth pwdutils python python-cairo python-cairo-devel python-devel python-gobject2 python-gobject2-devel python-gtk python-gtk-devel python-numeric rpm scrollkeeper scrollkeeper-lang sed setserial sgml-skel sqlite sysvinit tar tcpd texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel yast2 yast2-core yast2-hardware-detection yast2-perl-bindings yast2-pkg-bindings zlib zlib-devel


Name:           virt-manager
Url:            http://virt-manager.et.redhat.com
BuildRequires:  autoconf automake gconf2 gettext gtk2-devel intltool python-devel python-gobject2-devel python-gtk-devel scrollkeeper update-desktop-files
# Only for directory ownership:
BuildRequires:  libgnome yast2
License:        GPL v2 or later
Group:          System/Monitoring
AutoReqProv:    yes
Version:        0.4.0
Release:        68.2
Summary:        Virtual Machine Manager
Source0:        virt-manager.tar.bz2
Source1:        virtinst.tar.bz2
Source2:        rhpl-exception.py
Patch10:        virtman-desktop.diff
Patch11:        virtman-type-register.diff
Patch12:        virtman-console-keys.diff
Patch13:        virtman-detach-yast.diff
Patch14:        virtman-install.diff
Patch15:        virtman-edit.diff
Patch16:        virtman-dbus.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
Requires:       python-gtk
Requires:       python-gnome
Requires:       libvirt-python >= 0.1.4-3
Requires:       dbus-1-python
Requires:       libxml2-python
Requires:       vte
Requires:       librsvg
Requires:       vm-install
Requires:       gconf2
%gconf_schemas_prereq

%description
Virtual Machine Manager provides a graphical tool for administering
virtual machines.



Authors:
--------
    Daniel Berrange <berrange@redhat.com>
    Hugh O. Brock <hbrock@redhat.com>
    Jeremy Katz <katzj@redhat.com>

%debug_package
%prep
%setup -q -n virt-manager--devel
%setup -D -T -b 1 -n virt-manager--devel
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
intltoolize
autoreconf -if
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
install -m644 ../virtinst--devel/virtinst/*.py $RPM_BUILD_ROOT%{_datadir}/virt-manager/virtinst/
install -m644 %SOURCE2 $RPM_BUILD_ROOT%{_datadir}/virt-manager/exception.py
rm -f $RPM_BUILD_ROOT%{_libdir}/virt-manager/sparkline.{a,la}
%find_gconf_schemas
%find_lang %{name}
cat %{name}.schemas_list %{name}.lang >%{name}.lst
%suse_update_desktop_file -r %{name} X-SuSE-YaST X-SuSE-YaST-Virtualization

%clean
test ! -z "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun
%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.lst
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_bindir}/virt-manager
%{_libexecdir}/virt-manager-launch
%{_libdir}/virt-manager/
%dir %{_datadir}/virt-manager
%{_datadir}/omf/virt-manager/
%{_datadir}/virt-manager/*.glade
%dir %{_datadir}/virt-manager/pixmaps
%{_datadir}/virt-manager/pixmaps/*.png
%{_datadir}/virt-manager/pixmaps/*.svg
%{_datadir}/virt-manager/*.py
%dir %{_datadir}/virt-manager/virtManager
%{_datadir}/virt-manager/virtManager/*.py
%dir %{_datadir}/virt-manager/virtinst
%{_datadir}/virt-manager/virtinst/*.py
%dir %{_datadir}/virt-manager/vncViewer
%{_datadir}/virt-manager/vncViewer/*.py
%{_datadir}/applications/YaST2/virt-manager.desktop
%{_datadir}/dbus-1/services/virt-manager.service
%{_mandir}/man1/virt-manager.1*

%changelog
* Wed May 14 2008 - dpmerrill@novell.com
- (SWAMPID#17575) - (bnc#371579) Add interfaces to dbus calls
  (bnc#344490) Fixed xenstore write (virtman-edit.diff)
* Thu Aug 16 2007 - ccoffing@novell.com
- #300789: Could not add or change disks
- Drop unused patch
* Fri Aug 03 2007 - chuck@novell.com
- Update to changeset 544.
- Properly attach and detach CDs to running VM.  (#289393)
* Mon Jul 02 2007 - ccoffing@novell.com
- Update to changeset 508.
- Include virtinst, to support virtual device add/remove.
* Wed May 23 2007 - ccoffing@novell.com
- Could not delete VM through menu.  (#272013)
* Tue May 22 2007 - ccoffing@novell.com
- Fix desktop file.
* Thu May 03 2007 - ccoffing@novell.com
- Fix syntax error, which could result in unnecessary VNC
  connection failures.  (#237406)
* Fri Apr 27 2007 - ccoffing@novell.com
- Update to 0.4.0.
- Clean up spec file.
* Tue Apr 10 2007 - ccoffing@novell.com
- Remove code that (incorrectly) guesses the vnc port.  (#259692)
- Do not refresh GUI every second (which causes xenstored to not
  thrash so badly, which makes virt-manager more responsive and
  less likely to time out or lock up).  Partial fix for #237406.
- Import changeset 440, which makes virt-manager honor dom0's
  keymap.  (#241149)
- Revert patch for bug #244772, because it causes lockups, as
  noted in bug #261110.
- Fix attaching disks to running VM.  (#238986)
* Sun Apr 01 2007 - ro@suse.de
- updated gconf scriptlets
* Wed Mar 28 2007 - ccoffing@novell.com
- Update icon filename.
* Tue Mar 13 2007 - ccoffing@novell.com
- Import threading and timer tick patches from upstream to improve
  stability. (#237406 and others)
- Do not offer QEMU option. (#254083)
* Mon Mar 12 2007 - ccoffing@novell.com
- Update virt-manager to match changes in vm-install's disk class,
  due to bug #247849.
* Fri Mar 09 2007 - ccoffing@novell.com
- Make Ctrl+Alt release the mouse cursor (#252998).
* Thu Mar 08 2007 - ccoffing@novell.com
- Add release to "Requires: xen-tools", to prevent mixing with
  pre-beta 5.  (#238986, #252495)
* Fri Mar 02 2007 - ccoffing@novell.com
- Disable gtk-menu-bar-accel when VM has focus, to allow VM to get
  F10 key. (#240001)
* Tue Feb 27 2007 - ccoffing@novell.com
- Update to 0.3.1.
- "Requires: librsvg" (#250156)
- Re-use vm-install's disk UI, to allow disks to be added/removed
  from xend-managed VMs (currently only for running VMs). (#238986)
* Thu Feb 22 2007 - ccoffing@novell.com
- If Xen isn't running, put up error window instead of raising.
  (#244772)
* Tue Feb 13 2007 - ccoffing@novell.com
- Update to latest hg; grabs mouse for better mouse tracking.
  (#240387)
- Don't lose mouse grab on every keystroke
- Disable menubar & toolbar when pointer is in VM window, to avoid
  key conflicts.  (#240001)
- Fix syntax to avoid deprecation warnings (don't raise strings).
- YaST integration: default to managing on-box; detach from yast
  control center.
* Mon Jan 29 2007 - ccoffing@novell.com
- Fix desktop file.  (#239275)
- Update to 0.3.0 (updated translations; no code changes)
* Mon Jan 22 2007 - ccoffing@novell.com
- Fix desktop file, so icon shows in YaST.  (#237046)
- Clean up macros in spec file.
* Fri Jan 19 2007 - ccoffing@novell.com
- Use temporary icon until real ones arrive.
- Update to changeset 371 to fix VNC issues.
* Wed Jan 17 2007 - ccoffing@novell.com
- Fix BuildRequires and paths to work with both SLES10 and STABLE.
* Fri Jan 12 2007 - ccoffing@novell.com
- Fix sysconfdir path.
- Add desktop file.
* Thu Jan 11 2007 - ccoffing@novell.com
- Add to SLES 10 SP1 (fate #301181)
- Update to virt-manager 0.2.6.
- Fix type_register deprecation warnings.
* Tue Oct 24 2006 - ccoffing@novell.com
- Initial package.
- Replace virt-inst with xen-vm-install (part of xen-tools-install)
